Subject: Re: draft-yoon-pkix-wireless-internet-00.txt

From: [email-masked] (Peter Gutmann)
Date: Wed, 28 Nov 2001 18:07:30 +1300 (NZDT)

Olivier DUBUISSON <[email-masked]> writes:

>Did you try their Lean Encoder/Decoder (LED) library?  It is is targeted
>specically to embedded systems, and source is available to allow you to
>further customize it if the image produced by the binary version is too large
>(that version is built with most features enabled, such as automatic
>encoding/decoding of open types).

You could also grab asn1.c from the cryptlib code (which is open source) and
use that if you needed it.  Like the LED stuff, you can customise it as needed
(I've built a trimmed version which was only a couple of kB in size, that'd be
enough to pick things like public keys out of certs for use in embedded
devices).

Peter.